Package com.independentsoft.office.spreadsheet

# Class EmbeddedControl

java.lang.Object
com.independentsoft.office.spreadsheet.EmbeddedControl

public class EmbeddedControl extends Object
The Class EmbeddedControl.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmbeddedControl()`
  Instantiates a new embedded control.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EmbeddedControl`
  `clone()`
  `EmbeddedControlProperties`
  `getControlProperties()`
  Gets the control properties (controlPr element).
  `String`
  `getName()`
  Gets the name.
  `String`
  `getRelationshipID()`
  Gets the relationship id.
  `int`
  `getShapeID()`
  Gets the shape id.
  `void`
  `setControlProperties​(EmbeddedControlProperties controlProperties)`
  Sets the control properties (controlPr element).
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setRelationshipID​(String relationshipID)`
  Sets the relationship id.
  `void`
  `setShapeID​(int shapeID)`
  Sets the shape id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddedControl

    public EmbeddedControl()
    Instantiates a new embedded control.

- ## Method Details

  - ### clone

    public EmbeddedControl clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getRelationshipID

    public String getRelationshipID()
    Gets the relationship id.
    Returns:
      the relationship id

  - ### setRelationshipID

    public void setRelationshipID​(String relationshipID)
    Sets the relationship id.
    Parameters:
      `relationshipID` - the new relationship id

  - ### getShapeID

    public int getShapeID()
    Gets the shape id.
    Returns:
      the shape id

  - ### setShapeID

    public void setShapeID​(int shapeID)
    Sets the shape id.
    Parameters:
      `shapeID` - the new shape id

  - ### getControlProperties

    public EmbeddedControlProperties getControlProperties()
    Gets the control properties (controlPr element).
    Returns:
      the control properties

  - ### setControlProperties

    public void setControlProperties​(EmbeddedControlProperties controlProperties)
    Sets the control properties (controlPr element).
    Parameters:
      `controlProperties` - the new control properties